/*
 * Calendar Plus Add-on
 * Copyright (c) 2020 Radical Bridge
 *
 * Licensed under the MIT License
 */

jQuery.noConflict();
(function($, PLUGIN_ID) {
    "use strict";

    // プラグイン設定の取得
	const config = kintone.plugin.app.getConfig(PLUGIN_ID);
    if (config && Object.keys(config).length) {
        $('#enableAddOn').prop('checked', (config['enableAddOn'] === 'enable'));
    }
    
   	// 「保存する」ボタン押下時
	$('#submit').click(function() {
        let config = {
            'enableAddOn': ($('#enableAddOn').prop('checked')) ? $('#enableAddOn').val() : ''
        };
		kintone.plugin.app.setConfig(config);
	});

	// 「キャンセル」ボタン押下時
	$('#cancel').click(function() {
		history.back();
	});

})(jQuery, kintone.$PLUGIN_ID);
